diff --git a/web/pgadmin/tools/debugger/__init__.py b/web/pgadmin/tools/debugger/__init__.py
index 250efa4..dca39b1 100644
--- a/web/pgadmin/tools/debugger/__init__.py
+++ b/web/pgadmin/tools/debugger/__init__.py
@@ -1806,17 +1806,18 @@ def set_arguments_sqlite(sid, did, scid, func_id):
 
             # handle the Array list sent from the client
             array_string = ''
-            if data[i]['value'].__class__.__name__ in (
-                    'list') and data[i]['value']:
-                for k in range(0, len(data[i]['value'])):
-                    array_string += data[i]['value'][k]['value']
-                    if k != (len(data[i]['value']) - 1):
-                        array_string += ','
-            elif data[i]['value'].__class__.__name__ in (
-                    'list') and not data[i]['value']:
-                array_string = ''
-            else:
-                array_string = data[i]['value']
+            if 'value' in data[i]:
+                if data[i]['value'].__class__.__name__ in (
+                        'list') and data[i]['value']:
+                    for k in range(0, len(data[i]['value'])):
+                        array_string += data[i]['value'][k]['value']
+                        if k != (len(data[i]['value']) - 1):
+                            array_string += ','
+                elif data[i]['value'].__class__.__name__ in (
+                        'list') and not data[i]['value']:
+                    array_string = ''
+                else:
+                    array_string = data[i]['value']
 
             # Check if data is already available in database then update the
             # existing value otherwise add the new value
diff --git a/web/pgadmin/tools/debugger/static/js/debugger_ui.js b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
index 1fb5aab..303c9ce 100644
--- a/web/pgadmin/tools/debugger/static/js/debugger_ui.js
+++ b/web/pgadmin/tools/debugger/static/js/debugger_ui.js
@@ -901,8 +901,7 @@ define([
                       }
                       // TODO: Need to check the "Expression" column value to
                       // enable/disable the "Debug" button
-                      if (this.collection.models[i].get('value') == '' ||
-                        this.collection.models[i].get('value') == null ||
+                      if (this.collection.models[i].get('value') == null ||
                         this.collection.models[i].get('value') == undefined) {
                         enable_btn = true;
 
